import type { Registration } from '../../utils/$Register';
/**
 * Metadata of the scraper
 *
 * @private within the scraper directory
 */
export declare const markdownScraperMetadata: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
    title: string;
    packageName: string;
    className: string;
    mimeTypes: string[];
    documentationUrl: "https://github.com/webgptorg/promptbook/discussions/@@";
    isAvilableInBrowser: true;
    requiredExecutables: never[];
}>;
/**
 * Registration of known scraper metadata
 *
 * Warning: This is not useful for the end user, it is just a side effect of the mechanism that handles all available known scrapers
 *
 * @public exported from `@promptbook/core`
 * @public exported from `@promptbook/wizzard`
 * @public exported from `@promptbook/cli`
 */
export declare const _MarkdownScraperMetadataRegistration: Registration;
/**
 * Note: [💞] Ignore a discrepancy between file name and entity name
 */
