import type { CommandType } from '../../../commands/_common/types/CommandType';
import type { PipelineString } from '../../../pipeline/PipelineString';
/**
 * Options for `removePipelineCommand`
 */
type RemovePipelineCommandOptions = {
    /**
     * The command you want to remove
     */
    command: CommandType;
    /**
     * Pipeline you want to remove command from
     */
    pipeline: PipelineString;
};
/**
 * Function `removePipelineCommand` will remove one command from pipeline string
 *
 * @public exported from `@promptbook/editable`
 */
export declare function removePipelineCommand(options: RemovePipelineCommandOptions): PipelineString;
export {};
