import type { string_parameter_value } from '../../types/typeAliases';
import type { really_unknown } from '../organization/really_unknown';
/**
 * Function `valueToString` will convert the given value to string
 * This is useful and used in the `templateParameters` function
 *
 * Note: This function is not just calling `toString` method
 *       It's more complex and can handle this conversion specifically for LLM models
 *       See `VALUE_STRINGS`
 *
 * Note: There are 2 similar functions
 * - `valueToString` converts value to string for LLM models as human-readable string
 * - `asSerializable` converts value to string to preserve full information to be able to convert it back
 *
 * @public exported from `@promptbook/utils`
 */
export declare function valueToString(value: really_unknown): string_parameter_value;
